Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authentication
Interface LDAPX509IdentityAsserterMBean

public interface LDAPX509IdentityAsserterMBean
extends weblogic.management.commo.StandardInterface, IdentityAsserterMBean, LDAPServerMBean

Method Summary
`java.lang.String[]` | `getActiveTypes()`
`java.lang.String` | `getCertificateAttribute()`
`java.lang.String` | `getCertificateMapping()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getProviderClassName()`
`java.lang.String[]` | `getSupportedTypes()`
`java.lang.String[]` | `getUserFilterAttributes()`
`java.lang.String` | `getUsernameAttribute()`
`java.lang.String` | `getVersion()`
`void` | `setActiveTypes(java.lang.String[])`
`void` | `setCertificateAttribute(java.lang.String)`
`void` | `setCertificateMapping(java.lang.String)`
`void` | `setUserFilterAttributes(java.lang.String[])`
`void` | `setUsernameAttribute(java.lang.String)`

Methods inherited from interface weblogic.management.security.authentication.IdentityAsserterMBean
`getBase64DecodingRequired, setBase64DecodingRequired`

Methods inherited from interface weblogic.management.utils.LDAPServerMBean
`getCacheSize, getCacheTTL, getConnectTimeout, getCredential, getHost, getParallelConnectDelay, getPort, getPrincipal, getResultsTimeLimit, isBindAnonymouslyOnReferrals, isCacheEnabled, isFollowReferrals, isSSLEnabled, setBindAnonymouslyOnReferrals, setCacheEnabled, setCacheSize, setCacheTTL, setConnectTimeout, setCredential, setFollowReferrals, setHost, setParallelConnectDelay, setPort, setPrincipal, setResultsTimeLimit, setSSLEnabled`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getActiveTypes

    public java.lang.String[] getActiveTypes()

  Specified by:
    getActiveTypes in interface IdentityAsserterMBean

### getCertificateAttribute

    public java.lang.String getCertificateAttribute()

### getCertificateMapping

    public java.lang.String getCertificateMapping()

### getDescription

    public java.lang.String getDescription()

### getProviderClassName

    public java.lang.String getProviderClassName()

### getSupportedTypes

    public java.lang.String[] getSupportedTypes()

  Specified by:
    getSupportedTypes in interface IdentityAsserterMBean

### getUserFilterAttributes

    public java.lang.String[] getUserFilterAttributes()

### getUsernameAttribute

    public java.lang.String getUsernameAttribute()

### getVersion

    public java.lang.String getVersion()

### setActiveTypes

    public void setActiveTypes(java.lang.String[])
                        throws javax.management.InvalidAttributeValueException

  Specified by:
    setActiveTypes in interface IdentityAsserterMBean

### setCertificateAttribute

    public void setCertificateAttribute(java.lang.String)
                                 throws javax.management.InvalidAttributeValueException

### setCertificateMapping

    public void setCertificateMapping(java.lang.String)
                               throws javax.management.InvalidAttributeValueException

### setUserFilterAttributes

    public void setUserFilterAttributes(java.lang.String[])
                                 throws javax.management.InvalidAttributeValueException

### setUsernameAttribute

    public void setUsernameAttribute(java.lang.String)
                              throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference